POST/api-keys

List API keys

Lists API keys available to the authenticated user. Use the request body to filter the list, select admin-visible items, and navigate through results. The response contains a paginated set of API keys.

  • IdempotentThe SDK sends Idempotency-Key, so a retried request is only applied once.

5 body fields

Optional filters and pagination controls for the API key list.

adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
Default:20
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).

2 status codes
200Returns a paginated list of API keys.
dataobjectoptional
statusintegeroptional
successbooleanoptional
401Returned when the request is unauthorized.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional

Error handling

A 401 is returned when the request is unauthorized. limit must be between 1 and 100, and cursor and beforeCursor must use base64-encoded values.